## akonadi-calendar 25.08.1+p24.04+vstable+git20250916.0459

=== debian/changelog ===
akonadi-calendar (4:25.08.1+p24.04+vstable+git20250916.0459-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 04:59:03 +0000
