## akonadi-calendar 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -65,18 +65,18 @@
 
 include(ECMAddQch)
 
-set(KPIM_MIME_VERSION "6.5.1")
+set(KPIM_MIME_VERSION "6.5.2")
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 set(AKONADICALENDAR_LIB_VERSION ${PIM_VERSION})
-set(AKONADICONTACT_LIB_VERSION "6.5.1")
-set(AKONADIMIME_LIB_VERSION "6.5.1")
-set(AKONADI_LIB_VERSION "6.5.1")
-set(MAILTRANSPORT_LIB_VERSION "6.5.1")
-set(CALENDARUTILS_LIB_VERSION "6.5.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
-set(MESSAGECORE_LIB_VERSION "6.5.1")
-set(MESSAGECOMPOSER_LIB_VERSION "6.5.1")
-set(LIBKLEO_LIB_VERSION "6.5.1")
+set(AKONADICONTACT_LIB_VERSION "6.5.2")
+set(AKONADIMIME_LIB_VERSION "6.5.2")
+set(AKONADI_LIB_VERSION "6.5.2")
+set(MAILTRANSPORT_LIB_VERSION "6.5.2")
+set(CALENDARUTILS_LIB_VERSION "6.5.2")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
+set(MESSAGECORE_LIB_VERSION "6.5.2")
+set(MESSAGECOMPOSER_LIB_VERSION "6.5.2")
+set(LIBKLEO_LIB_VERSION "6.5.2")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDAR
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h"
