## akonadi-calendar 25.08.2+p24.04+vstable+git20251015.2009

=== debian/changelog ===
akonadi-calendar (4:25.08.2+p24.04+vstable+git20251015.2009-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:09:05 +0000

akonadi-calendar (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:52:20 +0000
