=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kcontacts-dev,
               kf6-kdbusaddons-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-ktextaddons-dev,
               kf6-kwallet-dev,
               kf6-kxmlgui-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-kcalendarutils-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kmailtransport-dev,
               kpim6-libkdepim-dev,
               kpim6-messagelib-dev,
               libqgpgmeqt6-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               reuse,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
Vcs-Git: https://invent.kde.org/neon/kde/akonadi-calendar.git
Vcs-Browser: https://invent.kde.org/neon/kde/akonadi-calendar
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-akonadi-calendar
Architecture: any
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libkpim6akonadicalendar6abi2
Replaces: libkf5akonadicalendar-bin,
          libkf5akonadicalendar-data,
          libkf5akonadicalendar5,
          libkf5akonadicalendar5abi2,
          libkpim5akonadicalendar-bin,
          libkpim5akonadicalendar-data,
          libkpim5akonadicalendar5,
          libkpim5akonadicalendar5abi2
Description: Akonadi calendar library - runtime binaries
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains runtime binaries.

Package: kpim6-akonadi-calendar-dev
Section: libdevel
X-Neon-MergedPackage: true
Architecture: any
Depends: kf6-kcalendarcore-dev,
         kf6-kcompletion-dev,
         kf6-kitemmodels-dev,
         kf6-kxmlgui-dev,
         kpim6-akonadi-calendar (= ${binary:Version}),
         kpim6-akonadi-contacts-dev,
         kpim6-akonadi-dev,
         kpim6-kidentitymanagement-dev,
         libboost-dev (>= 1.34.0~),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf5akonadicalendar-dev, libkpim5akonadicalendar-dev
Description: development files for the KDE Development Platform PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim5akonadicalendar-data
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicalendar-bin
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicalendar-dev
Architecture: all
Depends: kpim6-akonadi-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicalendar5
Architecture: all
Depends: kpim6-akonadi-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicalendar5abi2
Architecture: all
Depends: kpim6-akonadi-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicalendar-data
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicalendar-bin
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicalendar-dev
Architecture: all
Depends: kpim6-akonadi-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicalendar5
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicalendar5abi2
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
