## akonadi-calendar 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.3")
 project(Akonadi-Calendar VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -65,18 +65,18 @@
 
 include(ECMAddQch)
 
-set(KPIM_MIME_VERSION "6.5.2")
+set(KPIM_MIME_VERSION "6.5.3")
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 set(AKONADICALENDAR_LIB_VERSION ${PIM_VERSION})
-set(AKONADICONTACT_LIB_VERSION "6.5.2")
-set(AKONADIMIME_LIB_VERSION "6.5.2")
-set(AKONADI_LIB_VERSION "6.5.2")
-set(MAILTRANSPORT_LIB_VERSION "6.5.2")
-set(CALENDARUTILS_LIB_VERSION "6.5.2")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
-set(MESSAGECORE_LIB_VERSION "6.5.2")
-set(MESSAGECOMPOSER_LIB_VERSION "6.5.2")
-set(LIBKLEO_LIB_VERSION "6.5.2")
+set(AKONADICONTACT_LIB_VERSION "6.5.3")
+set(AKONADIMIME_LIB_VERSION "6.5.3")
+set(AKONADI_LIB_VERSION "6.5.3")
+set(MAILTRANSPORT_LIB_VERSION "6.5.3")
+set(CALENDARUTILS_LIB_VERSION "6.5.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
+set(MESSAGECORE_LIB_VERSION "6.5.3")
+set(MESSAGECOMPOSER_LIB_VERSION "6.5.3")
+set(LIBKLEO_LIB_VERSION "6.5.3")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDAR
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h"
