=== debian/changelog ===
akonadi-calendar (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files and new binary package
    libkpim6akonadicalendarcore6.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sun, 16 Nov 2025 18:27:16 +0100
