## akonadi-calendar 25.08.3+p24.04+vunstable+git20251208.0451

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,14 +3,14 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.6.40")
 project(Akonadi-Calendar VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.20.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-set(QT_REQUIRED_VERSION "6.8.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -20,6 +20,7 @@
 include(ECMGenerateHeaders)
 
 include(ECMSetupVersion)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 file(
     GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
     src/*.cpp
@@ -65,18 +66,19 @@
 
 include(ECMAddQch)
 
-set(KPIM_MIME_VERSION "6.5.3")
+set(KPIM_MIME_VERSION "6.6.40")
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 set(AKONADICALENDAR_LIB_VERSION ${PIM_VERSION})
-set(AKONADICONTACT_LIB_VERSION "6.5.3")
-set(AKONADIMIME_LIB_VERSION "6.5.3")
-set(AKONADI_LIB_VERSION "6.5.3")
-set(MAILTRANSPORT_LIB_VERSION "6.5.3")
-set(CALENDARUTILS_LIB_VERSION "6.5.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
-set(MESSAGECORE_LIB_VERSION "6.5.3")
-set(MESSAGECOMPOSER_LIB_VERSION "6.5.3")
-set(LIBKLEO_LIB_VERSION "6.5.3")
+set(AKONADICONTACT_LIB_VERSION "6.6.40")
+set(AKONADIMIME_LIB_VERSION "6.6.40")
+set(AKONADI_LIB_VERSION "6.6.40")
+set(MAILTRANSPORT_LIB_VERSION "6.6.40")
+set(CALENDARUTILS_LIB_VERSION "6.6.40")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
+set(MESSAGECORE_LIB_VERSION "6.6.40")
+set(MESSAGECOMPOSER_LIB_VERSION "6.6.40")
+set(LIBKLEO_LIB_VERSION "6.6.40")
+set(GPGME_LIB_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDAR
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h"
@@ -125,10 +127,25 @@
 find_package(KPim6AkonadiContactCore ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KPim6AkonadiMime ${AKONADI_MIME_VERSION} CONFIG REQUIRED)
 
+find_package(Gpgmepp ${GPGME_LIB_VERSION} CONFIG)
+set_package_properties(
+    Gpgmepp
+    PROPERTIES
+        DESCRIPTION
+            "GpgME++ Library"
+        URL
+            "https://www.gnupg.org"
+        TYPE
+            REQUIRED
+        PURPOSE
+            "GpgME++ is required for OpenPGP support"
+)
+find_package(QGpgmeQt6 ${GPGME_LIB_VERSION} CONFIG REQUIRED)
+
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
