=== debian/changelog ===
akonadi-calendar (4:25.08.3+p24.04+vunstable+git20251208.0451-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 04:51:05 +0000

akonadi-calendar (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:41:49 +1000
